'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactUikitBase = require('react-uikit-base');

var _reactUikitBase2 = _interopRequireDefault(_reactUikitBase);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FormHelp = function FormHelp(props) {
  var cssClassNames = _reactUikitBase2.default.helpers.cleanClasses([props.help.type === 'block' ? 'uk-form-help-block' : 'uk-form-help-inline', props.help.context ? 'uk-form-' + props.help.context : null]);

  var component = {
    block: _react2.default.createElement(
      'p',
      {
        className: cssClassNames,
        'data-kitid': props.kitid
      },
      props.help.text || props.help
    ),

    inline: _react2.default.createElement(
      'span',
      {
        className: cssClassNames
      },
      props.help.text
    )
  };

  return component[props.help.type] || component['block'];
};

FormHelp.propTypes = {
  help: _react2.default.PropTypes.oneOfType([_react2.default.PropTypes.string, _react2.default.PropTypes.object])
};

exports.default = FormHelp;