'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ufunc = require('ufunc');

var _cleanProps = require('./cleanProps');

var _cleanProps2 = _interopRequireDefault(_cleanProps);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FormLabel = function FormLabel(props) {
  if (props.label) {

    var body = props.label.body || props.label;
    var labelBody = void 0;
    if (props.label.pos == 'right') {
      labelBody = '\xA0' + body;
    } else {
      labelBody = body + '\xA0';
    }

    return (0, _ufunc.either)((0, _ufunc.maybeIf)(_react2.default.createElement(
      'label',
      _extends({
        className: props.display != null ? 'uk-display-' + props.display + ' uk-form-label' : 'uk-form-label'
      }, (0, _cleanProps2.default)(props.label), {
        htmlFor: props.kitid,
        'data-kitid': 'label-' + props.kitid
      }),
      labelBody
    ))(props.label), null)(props.label);
  }
};

FormLabel.propTypes = {
  display: _react2.default.PropTypes.string,
  label: _react2.default.PropTypes.oneOfType([_react2.default.PropTypes.string, _react2.default.PropTypes.object]),
  kitid: _react2.default.PropTypes.string
};

exports.default = FormLabel;